import React from 'react';

import ProForm, { ProFormText } from '@ant-design/pro-form';

import { Form } from 'antd';

const SpecialtyModel = (props) => {
  console.log(props, 'SpecialtyModel');

  const [form] = Form.useForm();

  return (
    <ProForm form={form} onFinish={props.handleSubmit}>
      <ProFormText
        label="学校名称"
        placeholder="输入学校名称"
        initialValue={props.data.name}
        name="SchoolName"
        disabled
        required
      />

      <ProFormText
        label="专业名称"
        placeholder="输入专业名称"
        name="name"
        rules={[{ required: true, message: '请填写专业名称' }]}
      />
    </ProForm>
  );
};

export default SpecialtyModel;
